<?xml version="1.0" encoding="utf-8"?>
<doctrine-mapping xmlns="http://doctrine-project.org/schemas/orm/doctrine-mapping" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://doctrine-project.org/schemas/orm/doctrine-mapping http://doctrine-project.org/schemas/orm/doctrine-mapping.xsd">
  <entity name="MDR\PuntoVentaBundle\Entity\Bitacora" table="Bitacora" repository-class="MDR\PuntoVentaBundle\Entity\Repositories\BitacoraRepository">
    <indexes>
      <index name="IDX_69F19CAFA7FDBE54" columns="idPedido"/>
      <index name="IDX_69F19CAFEDD889C1" columns="Usuario"/>
    </indexes>
    <id name="idOperacion" type="integer" column="idOperacion">
      <generator strategy="IDENTITY"/>
    </id>
    <field name="fecha" type="datetime" column="Fecha" nullable="false"/>
    <field name="areaOperacion" type="string" column="AreaOperacion" length="50" nullable="false"/>
    <field name="descripcionOperacion" type="string" column="DescripcionOperacion" length="250" nullable="false"/>
    <field name="estatusOperacion" type="string" column="EstatusOperacion" length="100" nullable="false"/>
    <many-to-one field="usuario" target-entity="Usuario">
      <join-columns>
        <join-column name="idUsuario" referenced-column-name="uNumero"/>
      </join-columns>
    </many-to-one>
    <many-to-one field="pedido" target-entity="Pedidos">
      <join-columns>
        <join-column name="idPedido" referenced-column-name="idPedido"/>
      </join-columns>
    </many-to-one>
  </entity>
</doctrine-mapping>
